package cn.ysk.cashier.service.app;

import cn.ysk.cashier.dto.calltable.*;

public interface TbCallService {
    Object add(CallTableDTO addCallTableDTO);

    Object update(UpdateCallTableDTO callTableDTO);

    Object delete(BaseCallTableDTO baseCallTableDTO);

    Object takeNumber(TakeNumberDTO takeNumber);

    Object call(CallQueueDTO callQueueDTO);

    Object updateInfo(UpdateCallQueueDTO updateCallQueueDTO);

    Object get(Integer page, Integer size, Integer shopId, Integer callTableId, Integer state);

    Object takeNumberCode(Integer shopId, Integer callTableId);

    Object getQueue(Integer shopId, Integer callTableId, Integer state, Integer page, Integer size);
}
